<?php
session_start();
include('config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

include($rutaPhp.$rutaHtml.'/acceso/control.php');
include($rutaPhp.$rutaHtml.'/maqueta/arriba.php');

include($rutaPhp.$rutaHtml.'/librerias/calculadora.php');


if(isset($_GET['procedencia']) && $_GET['procedencia']) $procedencia=$_GET['procedencia'];
else $procedencia='ETIQUETASPALET';


switch($procedencia) {

	case 'ETIQUETACROSSDOCKING':
	
		$titulo='Imprimir etiquetas cross-docking';
		$tituloCantidad='Copias';
		$cantidad=1;
		$pedirTipoPalet=false;
		$volver='recepciones-compras.php';
	
		break;
		
		
	case 'ETIQUETASPALET' :
	
		$titulo='Crear etiquetas';
		$tituloCantidad='Cantidad';
		$cantidad='';
		$pedirTipoPalet=true;
		$volver='';
	
		break;

}


$peticion='ConsultaDocumentosImprimir#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#'.$_SESSION['almacen'].'#'.$procedencia;

$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);

if($_GET['traza']=='si') {
	echo '<p>'.$peticion.'</p>';
	print_r($resultado);
}

$documento=$resultado[0]['Documentos']['PXMobileProxiumResult']; //Solo puede devolver un documento tipo 3
$impresoras=arreglaArrayPXMobileProxiumResult($resultado[0]['Impresoras']);

$impresoraPorDefecto=$documento['Impresora'];
$documento['NumCopias'];

//carga posts
if(isset($_POST['tipoPalet'])) $tipoPalet=$_POST['tipoPalet'];
if(isset($_POST['cantidad'])) $cantidad=$_POST['cantidad'];
if(isset($_POST['impresora'])) $impresora=$_POST['impresora'];




if($_POST['enviarFormulario']=='1') {

	if($procedencia=='ETIQUETACROSSDOCKING') {
	
		//ImprimirTablet #EMP#USUARIO#ETIQUETACROSSDOCKING;PEDVENTA;PEDIDO COMPRA;ALBCOMPRAPROVE;IMPRESORA;COPIAS
		
		$indiceCrossdocking=$_SESSION['recepcionCompra']['proveedorCodigo'].'@'.$_SESSION['recepcionCompra']['numAlbaran'];
		
		$pedidoVenta=$_SESSION['recepcionCompraCrossdocking'][$indiceCrossdocking]['crossdocking_agrupado_pedidoVenta'];
		$codigoProveedor=$_SESSION['recepcionCompra']['proveedorCodigo'];
		$albaranCompra=$_SESSION['recepcionCompra']['numAlbaran'];
	
		$peticion='ImprimirTablet#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#'.$procedencia.';'.$pedidoVenta.';'.$codigoProveedor.';'.$albaranCompra.';'.$impresora.';'.$cantidad;
		
		
	}
	else if($procedencia=='ETIQUETASPALET') {
	
		//ImprimirTablet #EMP#USUARIO#ETIQUETASPALET;TIPOPALET;CANTIDAD;IMPRESORA;COPIAS

		$peticion='ImprimirTablet#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#'.$procedencia.';'.$tipoPalet.';'.$cantidad.';'.$impresora.';'.$copias;
	
	}
	
	$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
	
	if($_GET['traza']=='si') {
		echo '<p>'.$peticion.'</p>';
		print_r($resultado);
	}
	
	$evaluar=explode('#',$resultado[0]['Error']);
	
	if($evaluar[0]=='0') {
		?>
        <script>
			alert('<?php echo $evaluar[1]; ?>',null,'ok')
			.done(function(){
			
			<?php if($volver) { ?>
			
				$('#popupCargando').show();
				window.location='<?php echo $volver; ?>';
			
			<?php } ?>
			
			});
		</script>
        <?php
		unset($tipoPalet);
		unset($cantidad);
		unset($impresora);
	}
	else {
		?>
        <script>
			alert('<?php echo $evaluar[1]; ?>',null,'error')
		</script>
        <?php
	}
	
}

?>
<h1><?php echo $titulo; ?></h1>

<form id="formulario" name="formulario" method="post" action="">

	<?php if($pedirTipoPalet) {?>

    <p>Tipo de palet:<br />
        <select name="tipoPalet" id="tipoPalet" class="campo">
            <option value="" <?php if(!$tipoPalet) { ?>selected<?php } ?>>---</option>
            <?php foreach(array_keys($_SESSION['tiposPalet']) as $codigoPalet) { ?>
                <option value="<?php echo $codigoPalet; ?>" <?php if($tipoPalet==$codigoPalet) { ?>selected<?php } ?>><?php echo $_SESSION['tiposPalet'][$codigoPalet]['Descripcion']; ?></option>
            <?php } ?>
        </select>
    </p>
    
    <?php } ?>
    
    <p><?php echo $tituloCantidad; ?>:<br />
    <input id="cantidad" name="cantidad" type="text" class="campo cantidad" value="<?php echo $cantidad; ?>" autocomplete="off" style="width:100px"/>
    </p>
    
    <p>Impresora:<br />
    <select name="impresora" id="impresora" class="campo">
        <option value="" <?php if(!$impresora) { ?>selected<?php } ?>>---</option>
        <?php foreach($impresoras as $item) { ?>
        <option value="<?php echo $item['Impresora']; ?>" <?php if( ($impresora && $item['Impresora']==$impresora) || (!$impresora && $item['Impresora']==$impresoraPorDefecto) ) { ?>selected<?php } ?>><?php echo $item['Impresora']; ?></option>
        <?php } ?>
    </select>
    </p>
    
    <?php if($copias) { ?><p>Se imprimirá<?php if($copias>0) { ?>n<?php } ?> <?php echo $copias; ?> etiqueta<?php if($copias>0) { ?>s<?php } ?> por cada Palet.</p><?php } ?>
    
    <p><input type="button" name="botonAceptar" id="botonAceptar" value="Imprimir" class="boton"/></p>
    
    <input name="enviarFormulario" id="enviarFormulario"  type="hidden" value="0" />

</form>

<script>



$(document).ready(function() {

	$('#cantidad').on('click',function(e) {
	
		e.preventDefault();
				
		$('#calculadora').show();
		$('#valorCalculadora').val( $('#cantidad').val() );
		$('#enterCalculadora').attr('campoValor','cantidad');
		$('#enterCalculadora').attr('forzarEnter','no');
		$('#botonDecimal').hide();

	});
	
	$('#botonAceptar').on('click',function(e) {
	
		e.preventDefault();
		
		/*	06-08-2024 TRAS HABLAR CON ADM QUITAMOS LA OBLIGATORIEDAD - VCDL TICKET 24060627
		if( $('#tipoPalet').val()=='' ) {
			alert('Por favor, indica el tipo de palet para las etiquetas que quieres imprimir.',null,'error');
		}	
		else */
		if( $('#cantidad').val()=='' || !parseInt($('#cantidad').val())>0 ) {
			alert('Por favor, indica la cantidad de etiquetas a imprimir.',null,'error')
			.done(function(){
				$('#cantidad').trigger('click');
			});
		}
		else if( $('#impresora').val()=='' ) {
			alert('Por favor, indica la impresora por la que quieres lanzar las etiquetas.',null,'error');
		}
		else {
		
			$('#popupCargando').show();
			$('#enviarFormulario').val(1);
			$('#formulario').submit();
		
		}

	});

});

</script>

<?php
include($rutaPhp.$rutaHtml.'/maqueta/abajo.php');
?>
